                           
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.61])
AC_INIT([battery-client], 1.0.0, "")

AM_MAINTAINER_MODE

AM_INIT_AUTOMAKE([foreign])

AC_CONFIG_HEADERS([config.h])
AC_CONFIG_MACRO_DIR([m4])

# Checks for programs.
AC_PROG_CC
AM_PROG_CC_C_O
AC_PROG_CXX
AC_PROG_LIBTOOL
AC_PROG_AWK
AC_PROG_CPP
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_MAKE_SET
PKG_PROG_PKG_CONFIG

# Checks for libraries.
#PKG_CHECK_MODULES([QMIFRAMEWORK], [qmi-framework])
#AC_SUBST([QMIFRAMEWORK_CFLAGS])
#AC_SUBST([QMIFRAMEWORK_LIBS])

#PKG_CHECK_MODULES([LIBHARDWARE], [hardware])
#AC_SUBST([LIBHARDWARE_CFLAGS])
#AC_SUBST([LIBHARDWARE_LIBS])

#PKG_CHECK_MODULES([LIBUTILS], [libutils])
#AC_SUBST([LIBUTILS_CFLAGS])
#AC_SUBST([LIBUTILS_LIBS])

#PKG_CHECK_MODULES([LIBCUTILS], [libcutils])
#AC_SUBST([LIBCUTILS_CFLAGS])
#AC_SUBST([LIBCUTILS_LIBS])

AC_ARG_WITH(sanitized-headers,
        AS_HELP_STRING([--with-sanitized-headers=DIR],
                [Specify the location of the sanitized Linux headers]),
        [CPPFLAGS="$CPPFLAGS -idirafter $withval"])

AC_ARG_WITH([glib],
       AS_HELP_STRING([--with-glib],
          [enable glib, building HLOS systems which use glib]))

if (test "x${with_glib}" = "xyes"); then
         PKG_CHECK_MODULES(GTHREAD, gthread-2.0 >= 2.16, dummy=yes,
                                 AC_MSG_ERROR(GThread >= 2.16 is required))
         PKG_CHECK_MODULES(GLIB, glib-2.0 >= 2.16, dummy=yes,
                                 AC_MSG_ERROR(GLib >= 2.16 is required))
         GLIB_CFLAGS="$GLIB_CFLAGS $GTHREAD_CFLAGS"
         GLIB_LIBS="$GLIB_LIBS $GTHREAD_LIBS"

         AC_SUBST(GLIB_CFLAGS)
         AC_SUBST(GLIB_LIBS)
fi

AM_CONDITIONAL(USE_GLIB, test "x${with_glib}" = "xyes")

AC_ARG_WITH([common_includes],
      AS_HELP_STRING([--with-common-includes=@<:@dir@:>@],
         [Specify the location of the common headers]),
            [common_incdir=$withval],
               with_common_includes=no)

if test "x$with_common_includes" != "xno"; then
   CFLAGS="${CFLAGS} -I${common_incdir}"
fi

AC_ARG_WITH(systemd,
        AS_HELP_STRING([--with-systemd], [include services in systemd]),
        [SYSTEMD="yes"],
        [SYSTEMD="no"])
AM_CONDITIONAL([USE_SYSTEMD], [test "x${SYSTEMD}" != "xno"])

AC_SUBST([CFLAGS])
AC_SUBST([CPPFLAGS])
AC_SUBST([CC])


AC_CONFIG_FILES([Makefile])
AC_OUTPUT
